Support » Fixing WordPress » Problems with Visual Editor 4.0 upgrade

  • Hi there,

    I’m aware of a similar thread and THIS but my case here is a bit different.

    After upgrade to WP 4.0 the wp-admin/post-new.php template doesn’t show up the Visual Editor.

    I tried several troubleshooting tricks available (Disable all Plugins; Change custom theme to default theme; Remove any caching plugin etc) but ended up with these results:

    – With all plugins disabled (My custom theme active) – Visual Editor not working

    – With Twenty Fourteen theme (and all plugins disabled) – Visual Editor works

    – With Twenty Fourteen theme (and all plugins enabled) – Visual Editor doesn’t work except CKEditor For WordPress plugin disabled

    Is my custom theme broken? Is this outdated CKEditor For WordPress plugin the cause (in the case of Twenty Fourteen theme)? What do I do?

Viewing 15 replies - 1 through 15 (of 16 total)
  • janet4now

    (@janet4now)

    still awesome :)

    – With Twenty Fourteen theme (and all plugins disabled) – Visual Editor works

    and then you enabled the plugins one by one and found the only offending result was caused by the CKEditor?

    Yes Janet,

    Having CKEditor For WordPress plugin disabled, Visual Editor with Twenty Fourteen theme active works!

    janet4now

    (@janet4now)

    still awesome :)

    Go to the support page for that plugin and post your findings there… they may already have or are working on an update to fix this.

    http://wordpress.org/support/plugin/ckeditor-for-wordpress

    I think you will find others with the same problem there, too.

    Thanks Janet, met my fellow victims there 😉

    Sadly with this plugin disabled; the custom theme cannot still manage to get Visual Editor working except with Twenty Fourteen theme active!

    janet4now

    (@janet4now)

    still awesome :)

    You can contact whoever customized your previous theme and see if they can find the problem… or post a request here http://jobs.wordpress.net/

    Hi,

    I’ve had also a massive problem with the Visual Editor this evening. I did’nt had any problems till now, but after upgrade to 4.0. I couldn’t used nearly no function. (I’m using Twenty Fourteen theme.)

    After I’ve read the post from Maxence I disabled all plugins and the editor works. Many thanks so far!

    Now I know that the error is caused by JavaScript and in my case by the Comprehensive Google Map Plugin.

    But I don’t know the current JS version, which version should be used and how to update this.

    4.0 comes with no way to make the editor bigger. Also, when you move your cursor up or down, the editor does not follow the cursor. The only way to see what you are writing is with the scroll on the right.

    The editor itself works, but just a bit unwieldy moving it up and down. Want the ability to make the editor size bigger if possible. Love the fact that the kitchen sink follows stays with the post.

    Hope this helps and is in the right discussion thread.

    janet4now

    (@janet4now)

    still awesome :)

    @andy: this is something that happened in the update to 4.0.

    in Screen Options if you uncheck “Expand the editor to match the window height” the scrollbar will appear again.

    FYI for anyone finding this thread and wanting to permanently disable the ‘expanded editor’ function altogether, add this to functions.php:

    // Deregister editor-expand as it breaks CKEditor integration
    function custom_deregister_editor_expand() {
      wp_deregister_script('editor-expand');
    }
    add_action( 'admin_init', 'custom_deregister_editor_expand' );

    Source

    My editor stopped also , I have disabled all plug in and changed theme to 2014 but no luck and its consistent across all browsers, here is the error I get in debug:
    JQMIGRATE: Logging is active
    HTML1509: Unmatched end tag.
    http://www.visaworx.com, line 246 character 71
    JQMIGRATE: jQuery.event.handle is undocumented and deprecated
    HTML1521: Unexpected “</body>” or end of file. All open elements should be closed before the end of the document.
    http://www.visaworx.com, line 329 character 2

    but I do not have JQ migrate plugin installed, any ideas?

    Moderator Andrew Nevins

    (@anevins)

    WCLDN 2018 Contributor | Volunteer support

    ok sorry

    this will help your problem

    1 Try replacing
    /wp-includes/js/tinymce/ with fresh copy

    if didn’t work

    2. try to edit wp-config.php and add
    define(‘CONCATENATE_SCRIPTS’, false);

    it will help

    Lavistayk,

    That resolved my issue, but may I ask exactly what that is doing? Will that potentially break something else?

    Dan

    Actually, let me answer my own question… yes, it breaks other things. When I hit post or update, it craps out. It actually does update it, but it just sits there and spins in the browser.

    Perhaps someone from WP can look at this fix and understand better what is happening behind the scenes and offer a better, long term solution.

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘Problems with Visual Editor 4.0 upgrade’ is closed to new replies.